> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Documents to Business Customer

> Attach ownership structure, company details, and legal presence documents to an existing business customer

<Warning>
  This endpoint will be deprecated on May 20, 2026. Use [Attach Documents to Business Customer V2](https://developer.fin.com/api-reference/customers/attach-documents-to-business-customer-v2) instead.
</Warning>

<Note>
  * Before calling this endpoint, upload documents using the [Upload document](https://developer.fin.com/api-reference/customers/upload-document) endpoint to obtain the URIs needed for the `files` arrays.
  * The `tos_policies_value` should be parsed from the `tos_policies_url` query parameter returned from the Create Business Customer endpoint.
</Note>


## OpenAPI

````yaml POST /v1/customers/business/attach
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/customers/business/attach:
    post:
      tags:
        - Customers
      summary: Attach Documents to Business Customer
      description: >-
        Attach ownership structure, company details, and legal presence
        documents to an existing business customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachDocumentsToBusinessCustomerInput'
      responses:
        '200':
          description: Documents attached successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: Generic response object
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    AttachDocumentsToBusinessCustomerInput:
      type: object
      required:
        - customer_id
        - ownership_structure
        - company_details
        - legal_presence
        - tos_policies_value
      properties:
        customer_id:
          type: string
          format: uuid
          example: 2d0a9df3-e1e5-4955-9759-ce0522e0ddc9
        ownership_structure:
          type: array
          items:
            type: object
            required:
              - type
              - files
            properties:
              type:
                type: string
                enum:
                  - SHAREHOLDER_REGISTRY
                example: SHAREHOLDER_REGISTRY
              files:
                type: array
                items:
                  type: object
                  required:
                    - uri
                  properties:
                    uri:
                      type: string
                      example: /AbAcQ4hn_0652746727639.pdf
        company_details:
          type: array
          items:
            type: object
            required:
              - type
              - files
            properties:
              type:
                type: string
                enum:
                  - CERT_OF_INCORPORATION
                  - MEMORANDUM_OF_ASSOCIATION
                example: CERT_OF_INCORPORATION
              files:
                type: array
                items:
                  type: object
                  required:
                    - uri
                  properties:
                    uri:
                      type: string
                      example: /AbAcQ4hn_0652746727640.pdf
        legal_presence:
          type: array
          items:
            type: object
            required:
              - type
              - files
            properties:
              type:
                type: string
                enum:
                  - PROOF_OF_ADDRESS
                example: PROOF_OF_ADDRESS
              files:
                type: array
                items:
                  type: object
                  required:
                    - uri
                  properties:
                    uri:
                      type: string
                      example: /AbAcQ4hn_0652746727641.pdf
        tos_policies_value:
          type: string
          example: e9414388-fbdf-4407-b5c2-bc39eae3645b
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````